# Source Dir
SRCDIR = "../../asp_dcre/"

# Configfile name
CFG_FILE = "sample1n.cfg"

# Target board
TARGET = "gr_sakura_ccrx"

# Target mcu
TARGET_MCU = 'R5F563NBDxFP'

# Application files
asp_app_files = ['sample1.c', 'sample1n.c', 'route_cfg.c']

# Addition Dir list (relative path from srcdir)
USER_INCLUDE = ["../csp/sample1n/", "tinet", "tinet/netdev/if_rx62n"]

# Copy sample1
COPY_SAMPLE1 = False

# Use RX Serial Debugger
USE_SERIALDEBUG = True

# Network service
NO_USE_TINET_LIBRARY = True

# Network interface
NET_IF = "ether"

# Network device
NET_DEV = "if_rx62n"

# Network layer
SUPPORT_INET6 = True
SUPPORT_INET4 = True

# Transeport layer
SUPPORT_TCP = True
SUPPORT_UDP = True

API_CFG_IP4MAPPED_ADDR = False

CDEFS = []

CLEAN_FILES = []

# call tcpip file
common.Source(proj_rel_dir + SRCDIR + "/tinet/tcpip.py")
